Debian Bug report logs - #566820
lintian: Warn about missing debian/source/format, advise switch to new 3.0 source formats

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Mon, 25 Jan 2010 09:06:01 UTC

Severity: wishlist

Tags: patch

Found in version lintian/2.3.1

Fixed in version lintian/2.3.4

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#566820; Package lintian. (Mon, 25 Jan 2010 09:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Mon, 25 Jan 2010 09:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lintian: Warn about missing debian/source/format, advise switch to new 3.0 source formats
Date: Mon, 25 Jan 2010 10:04:00 +0100
Package: lintian
Version: 2.3.1
Severity: wishlist

As part of the plan to have the new source formats as the default formats in
Debian I would like lintian to give a warning when debian/source/format
doesn't exist, it could be named "missing-debian-source-format".

I suggest this description:
---
With the introduction of new source formats, it's now recommended to
explicitly select the desired source format in debian/source/format.
If you don't have a good reason to stick with the old format,
you should switch to "3.0 (quilt)" (for packages with a separate
upstream tarball) or to "3.0 (native)" (for Debian native packages).

For more information about the new source formats, please see
dpkg-source(1) and http://wiki.debian.org/Projects/DebSrc3.0

If you plan to keep using the old format, you should still create
that file and put "1.0" in it. In that case, you are invited to get in
touch with debian-dpkg@lists.debian.org to discuss the (technical) reasons
why the new formats do not suit you.
---

I would also suggest using
Severity: normal
Certainty: certain
so that it appears as warning and all packages maintainers get to see it
if they don't have created that file.

We could also add a tag "using-old-source-format" that warns of specifying
1.0 in that file.  Obviously this one should start among the "pedantic"
tags but its importance might be increased over time once we decide to
really deprecate the old format.

It might also be a good idea to have "unknown-source-format" when
debian/source/format contains something else than "1.0", "2.0", "3.0
(quilt)", "3.0 (native)", "3.0 (git)", "3.0 (bzr)". This one should result
in an error.

Thanks for your work on lintian!

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (150, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lintian depends on:
ii  binutils               2.20-5            The GNU assembler, linker and bina
ii  diffstat               1.47-1            produces graph of changes introduc
ii  dpkg-dev               1.15.6            Debian package development tools
ii  file                   5.03-5            Determines file type using "magic"
ii  gettext                0.17-8            GNU Internationalization utilities
ii  intltool-debian        0.35.0+20060710.1 Help i18n of RFC822 compliant conf
ii  libapt-pkg-perl        0.1.24            Perl interface to libapt-pkg
ii  libclass-accessor-perl 0.34-1            Perl module that automatically gen
ii  libipc-run-perl        0.84-1            Perl module for running processes
ii  libparse-debianchangel 1.1.1-2           parse Debian changelogs and output
ii  libtimedate-perl       1.2000-1          collection of modules to manipulat
ii  liburi-perl            1.52-1            module to manipulate and access UR
ii  man-db                 2.5.6-5           on-line manual pager
ii  perl [libdigest-sha-pe 5.10.1-9          Larry Wall's Practical Extraction 

lintian recommends no packages.

Versions of packages lintian suggests:
pn  binutils-multiarch            <none>     (no description available)
ii  libtext-template-perl         1.45-1     Text::Template perl module
ii  man-db                        2.5.6-5    on-line manual pager

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#566820; Package lintian. (Mon, 25 Jan 2010 10:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Mon, 25 Jan 2010 10:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 566820@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 566820@bugs.debian.org
Subject: Re: Bug#566820: lintian: Warn about missing debian/source/format, advise switch to new 3.0 source formats
Date: Mon, 25 Jan 2010 11:40:13 +0100
Raphaël Hertzog <hertzog@debian.org> writes:

> We could also add a tag "using-old-source-format" that warns of specifying
> 1.0 in that file.  Obviously this one should start among the "pedantic"
> tags but its importance might be increased over time once we decide to
> really deprecate the old format.

I think that if someone went through the trouble of specifically putting
1.0 in that file then there is a reason for it. Such a person will have
been anoyed with the lintian warning about missing debian/source/format
and will have considered and rejected changing to 3.0 (quilt). Anoying
him yet again will not help.

My 2c,
        Goswin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#566820; Package lintian. (Mon, 25 Jan 2010 12:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Mon, 25 Jan 2010 12:27:06 GMT) Full text and rfc822 format available.

Message #15 received at 566820@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Goswin von Brederlow <goswin-v-b@web.de>
Cc: 566820@bugs.debian.org
Subject: Re: Bug#566820: lintian: Warn about missing debian/source/format, advise switch to new 3.0 source formats
Date: Mon, 25 Jan 2010 13:23:59 +0100
On Mon, 25 Jan 2010, Goswin von Brederlow wrote:
> Raphaël Hertzog <hertzog@debian.org> writes:
> 
> > We could also add a tag "using-old-source-format" that warns of specifying
> > 1.0 in that file.  Obviously this one should start among the "pedantic"
> > tags but its importance might be increased over time once we decide to
> > really deprecate the old format.
> 
> I think that if someone went through the trouble of specifically putting
> 1.0 in that file then there is a reason for it.

It could be "No time to investigate switching to the new source format and
want to get rid of the warning".

> Such a person will have been anoyed with the lintian warning about
> missing debian/source/format and will have considered and rejected
> changing to 3.0 (quilt). Anoying him yet again will not help.

That's why I suggested it as a pedantic tag only at this point. But it's
not a big deal if it's not implemented at all. And the at this point the
valid reason could be documented in the overrides file next to this tag.

Cheers,
-- 
Raphaël Hertzog




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#566820; Package lintian. (Sun, 14 Feb 2010 18:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Sun, 14 Feb 2010 18:54:03 GMT) Full text and rfc822 format available.

Message #20 received at 566820@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 566820@bugs.debian.org
Subject: Re: Bug#566820: lintian: Warn about missing debian/source/format, advise switch to new 3.0 source formats
Date: Sun, 14 Feb 2010 19:50:43 +0100
Hi lintian maintainers,

On Mon, 25 Jan 2010, Raphaël Hertzog wrote:
> As part of the plan to have the new source formats as the default formats in
> Debian I would like lintian to give a warning when debian/source/format
> doesn't exist, it could be named "missing-debian-source-format".

Do you want a patch for this? If yes, should it be a new check file or do
you want it integrated in one of the existing check file?

> We could also add a tag "using-old-source-format" that warns of specifying
> 1.0 in that file.  Obviously this one should start among the "pedantic"
> tags but its importance might be increased over time once we decide to
> really deprecate the old format.
> 
> It might also be a good idea to have "unknown-source-format" when
> debian/source/format contains something else than "1.0", "2.0", "3.0
> (quilt)", "3.0 (native)", "3.0 (git)", "3.0 (bzr)". This one should result
> in an error.

Any opinion on whether you are interested by those too?

Cheers,
-- 
Raphaël Hertzog




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#566820; Package lintian. (Wed, 03 Mar 2010 01:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Wed, 03 Mar 2010 01:06:02 GMT) Full text and rfc822 format available.

Message #25 received at 566820@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 566820@bugs.debian.org
Subject: Re: Bug#566820: lintian: Warn about missing debian/source/format, advise switch to new 3.0 source formats
Date: Tue, 02 Mar 2010 17:04:07 -0800
Raphael Hertzog <hertzog@debian.org> writes:
> On Mon, 25 Jan 2010, Raphaël Hertzog wrote:

>> As part of the plan to have the new source formats as the default
>> formats in Debian I would like lintian to give a warning when
>> debian/source/format doesn't exist, it could be named
>> "missing-debian-source-format".

>> We could also add a tag "using-old-source-format" that warns of
>> specifying 1.0 in that file.  Obviously this one should start among the
>> "pedantic" tags but its importance might be increased over time once we
>> decide to really deprecate the old format.

> Do you want a patch for this? If yes, should it be a new check file or
> do you want it integrated in one of the existing check file?

At first glance, asking people to declare the source format explicitly
seems like a good idea.  I'm more reluctant to have Lintian recommend
switching to 3.0.  Based on the debian-devel discussion, I'm not sure the
idea has aged enough to make people comfortable with it.  But if they
don't have any declared source format at present, I'm certainly fine with
Lintian suggesting they consider it.

I think having a new check script that checks files in debian/source would
be a good idea.  I'm not sure what to call it.  source-control, maybe?
That could be confused with something that tests VCS usage, though.

>> It might also be a good idea to have "unknown-source-format" when
>> debian/source/format contains something else than "1.0", "2.0", "3.0
>> (quilt)", "3.0 (native)", "3.0 (git)", "3.0 (bzr)". This one should
>> result in an error.

Yes, please.

If you feel energetic, there's also #528001, and it would be nice to warn
about unrecognized files in debian/source to catch people who have
misspelled the control file name.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#566820; Package lintian. (Wed, 03 Mar 2010 20:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Wed, 03 Mar 2010 20:42:04 GMT) Full text and rfc822 format available.

Message #30 received at 566820@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: 566820@bugs.debian.org, 528001@bugs.debian.org
Subject: Re: Bug#566820: lintian: Warn about missing debian/source/format, advise switch to new 3.0 source formats
Date: Wed, 3 Mar 2010 21:38:19 +0100
[Message part 1 (text/plain, inline)]
tag 566820 + patch
thanks

Hi,

On Tue, 02 Mar 2010, Russ Allbery wrote:
> > Do you want a patch for this? If yes, should it be a new check file or
> > do you want it integrated in one of the existing check file?
> 
> At first glance, asking people to declare the source format explicitly
> seems like a good idea.  I'm more reluctant to have Lintian recommend
> switching to 3.0.  Based on the debian-devel discussion, I'm not sure the
> idea has aged enough to make people comfortable with it.  But if they
> don't have any declared source format at present, I'm certainly fine with
> Lintian suggesting they consider it.
> 
> I think having a new check script that checks files in debian/source would
> be a good idea.  I'm not sure what to call it.  source-control, maybe?
> That could be confused with something that tests VCS usage, though.

Ok, I went for "debian-source-dir". In the process, I found other oddities
that I fixed so you really have 5 patches to apply.

I kept the pedantic tag using-old-source-format but you can comment it
if you prefer.

> >> It might also be a good idea to have "unknown-source-format" when
> >> debian/source/format contains something else than "1.0", "2.0", "3.0
> >> (quilt)", "3.0 (native)", "3.0 (git)", "3.0 (bzr)". This one should
> >> result in an error.
> 
> Yes, please.

Also done.

> If you feel energetic, there's also #528001, and it would be nice to warn
> about unrecognized files in debian/source to catch people who have
> misspelled the control file name.

I added the check for unrecognized files in debian/source but the rest
I won't do (at least not now).

The list of debian/source/ files recognized is now longer... here's the
description I used:

N: 
N:    The source package contains a file in debian/source/ that lintian
N:    doesn't know about. Currently the following files are recognized:
N:    
N:     * format
N:     * include-binaries
N:     * lintian-overrides
N:     * options
N:     * patch-header
N:    
N:    This tag is emitted in case you mistyped the name of one of the above
N:    files. If that's not the case and if the file can be legitimately be
N:    expected in source packages, please file a bug against lintian asking
N:    for the file to be recognized.
N:    
N:    Severity: important, Certainty: possible

Cheers,
-- 
Raphaël Hertzog

Like what I do? Sponsor me: http://ouaza.com/wp/2010/01/05/5-years-of-freexian/
My Debian goals: http://ouaza.com/wp/2010/01/09/debian-related-goals-for-2010/
[0001-Simplify-collection-debfiles-to-copy-the-debian-dire.patch (text/x-diff, attachment)]
[0002-New-check-script-debian-source-dir.patch (text/x-diff, attachment)]
[0003-Fix-description-of-unsupported-source-format.patch (text/x-diff, attachment)]
[0004-Define-source-format-to-be-3.0-native.patch (text/x-diff, attachment)]
[0005-New-tag-unknown-file-in-debian-source.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Wed, 03 Mar 2010 20:42:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sun, 21 Mar 2010 02:57:02 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Mon, 22 Mar 2010 23:48:16 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Mon, 22 Mar 2010 23:48:16 GMT) Full text and rfc822 format available.

Message #39 received at 566820-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 566820-close@bugs.debian.org
Subject: Bug#566820: fixed in lintian 2.3.4
Date: Mon, 22 Mar 2010 23:47:22 +0000
Source: lintian
Source-Version: 2.3.4

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_2.3.4.dsc
  to main/l/lintian/lintian_2.3.4.dsc
lintian_2.3.4.tar.gz
  to main/l/lintian/lintian_2.3.4.tar.gz
lintian_2.3.4_all.deb
  to main/l/lintian/lintian_2.3.4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566820@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 22 Mar 2010 16:23:51 -0700
Source: lintian
Binary: lintian
Architecture: source all
Version: 2.3.4
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 lintian    - Debian package checker
Closes: 548094 558360 560414 563495 564713 566820 567451 568680 568748 568749 569129 569220 569492 570380 570408 571280 571616 572260 572297 572298 572430 572456 573081 573398 573399 573815 573837 573839 573914 574048 574515 574744 574771 574826 574970
Changes: 
 lintian (2.3.4) unstable; urgency=low
 .
   The "miscellaneous bug fix" release.
 .
   * Summary of tag changes:
     + Added:
       - control-file-with-CRLF-EOLs
       - debian-rules-makemaker-prefix-is-deprecated
       - empty-binary-package
       - incorrect-locale-code
       - missing-debian-source-format
       - package-type-in-debian-control
       - possible-new-upstream-release-without-new-version
       - star-file
       - unknown-file-in-debian-source
       - unknown-source-format
       - unknown-locale-code
 .
   * checks/binaries:
     + [RA] Exclude packages from the klibc source package from the
       embedded zlib check since klibc legitimately includes its own copy.
       Thanks, maximilian attems.  (Closes: #573914)
   * checks/changelog-file{,.desc}:
     + [RA] New check for a changelog entry indicating a new upstream
       release but no change in the upstream portion of the package
       version.  Idea from Emilio Pozuelo Monfort.  (Closes: #569129)
   * checks/control-file:
     + [RG] Update package-depends-on-hardcoded-libc exception to also
       exclude eglibc.  Based on a patch from Cyril Brulebois.
       (Closes: #573398)
     + [RA] Also exclude *-common packages from weak-library-dev-dependency
       checks.  Thanks, Emilio Pozuelo Monfort.  (Closes: #570408)
     + [RA] Suppress missing-separator-between-items if either of the items
       contain substvars other than *:Depends substvars, since substvars
       may be used to assemble the components of a dependency.  Thanks,
       Matthias Klose.  (Closes: #573815)
     + [RA] Warn about Package-Type instead of XC-Package-Type in
       debian/control.  Patch from Cyril Brulebois.  (Closes: #573399)
   * checks/cruft{,.desc}:
     + [RA] Provide more information in native-package-with-dash-version
       long description about how native packages can be created by
       mistake.  Thanks, Jari Aalto.  (Closes: #573839)
     + [RA] Reword source-contains-prebuilt-windows-binary long
       description.  (Closes: #574515)
     + [RG] Warn about control and changelog files with CRLF end of line
       terminators.  Thanks, Michal Čihař.  (Closes: #564713)
   * checks/debconf:
     + [RA] Don't warn about the length of the short description for
       templates of type text in udebs, since they're frequently used by
       including them into other templates at runtime.  Patch from Frans
       Pop.  (Closes: #560414)
   * checks/debian-source-dir{,.desc}:
     + [RA] New check script from Raphaël Hertzog checking various things
       about debian/source/* control files including checking for a source
       format control file.  (Closes: #566820)
   * checks/fields.desc:
     + [RA] Correct the supported source formats in the long description of
       unsupported-source-format.  Patch from Raphaël Hertzog.
     + [RA] Stop recommending a dependency on perl-modules.  Patch from
       Niko Tyni.  (Closes: #568749)
   * checks/files{,.desc}:
     + [RA] New check for binary packages that are empty except for
       standard files and don't declare themselves to be metapackages or
       other types of dummy packages.  Based on a patch from Luca
       Falavigna.  (Closes: #569220)
     + [RG] New check for packages shipping files literally called '*'
       (star symbol).  Thanks, Niels Thykier.  (Closes: #574771)
     + [RG] New checks for incorrect and unknown locale codes in
       /usr/share/locale subdirectories.
   * checks/init.d{,.desc}:
     + [RA] Exclude symlinks to upstart-job from init script syntax checks.
       Based on a patch by Jos Boumans.  (Closes: #569492)
     + [RA] Allow umountnfs to satisfy a $remote_fs requirement and
       umountnfs or umountfs to satisfy a $local_fs requirement in LSB
       headers, avoiding false positives in unusual situations such as
       rsyslog.  Thanks, Michael Biebl.  (Closes: #571280)
     + [RA] Allow $all to satisfy a $remote_fs or $local_fs requirement in
       Required-Start, but (per the wiki) not Required-Stop.  Thanks,
       Michael Meskes.  (Closes: #574970)
   * checks/manpages.desc:
     + [RA] Clarify the long description for manpage-has-bad-whatis-entry.
       Thanks, Jari Aalto.  (Closes: #573837)
   * checks/rules:
     + [RA] Allow ant1.7 to satisfy a build requirement for ant.  Thanks,
       Rene Engelhard.  (Closes: #572430)
     + [RG] Require a versioned build-dependency on cdbs if scons.mk or
       perl-build.mk are used.  (Closes: #574744)
     + [RG] Warn about installing files specifying the destination
       directory with PREFIX when Perl's MakeMaker build system is used.
       Based on a patch by Niko Tyni.  (Closes: #568748)
     + [RA] Also check binary-independent, wildcard, and override rules for
       programs requiring build dependencies, but accept them in either
       Build-Depends or Build-Depends-Indep.
     + [RA] Check for a quilt dependency when the debhelper 7 quilt module
       is used.  Thanks, Martin Meredith.  (Closes: #548094)
     + [RA] Allow python2.6 packages to satisfy Python build dependencies.
   * checks/scripts{,.desc}:
     + [ADB] Update the list of octave interpreters, adding octave3.2
       (Closes: #574048) and removing octave2.1 (only available in lenny
       and earlier) and octave3.1.
     + [RA] Allow non-executable *.pm files in the examples directory to
       start with a line like #!perl.  This is probably just an editor
       hint.  Thanks, Thijs Kinkhorst.  (Closes: #574826)
     + [RA] Mention #!@BASH@ and similar cases in the long tag description
       of example-interpreter-not-absolute.
     + [RA] Add Python 2.6 to recognized Python versions.
     + [RA] Add liquidsoap and texlua to known interpreters.
   * checks/shared-libs:
     + [RA] symbols-declares-dependency-on-other-package should not have
       trailing whitespace for unversioned dependencies.  Patch from
       Modestas Vainius.  (Closes: #570380)
   * checks/standards-version:
     + [RG] Don't warn about timewarp-standards-version when the
       changelog's distribution is "UNRELEASED."  Thanks, Raphaël Hertzog.
       (Closes: #571616)
 .
   * collection/debfiles:
     + [RA] Simplify the logic since the entire debian directory is always
       copied.  Patch from Raphaël Hertzog.
 .
   * data/debhelper/*:
     + [RG] Refresh against unstable.
   * data/fields/{perl-provides,virtual-packages}:
     + [RG] Refresh against unstable.
   * data/files/architectures:
     + [RG] Refreshed against dpkg 1.15.6.  (Closes: #563495)
   * data/files/fonts:
     + [RG] Refresh against unstable.
   * data/files/incorrect-locale-codes:
     + [RG] New list of common incorrect locale names
   * data/files/locale-codes:
     + [RG] Generated from unstable's iso-codes.
   * data/files/triplets:
     + [RG] Refreshed against dpkg 1.15.6.
 .
   * debian/control:
     + [RG] Update package description to mention Policy version 3.8.4
       instead of 3.8.3.  Should have been done on the previous release.
   * debian/source/format:
     + [RA] Switch package format to 3.0 (native).
   * debian/postinst:
     + [RG] Use triggers to ensure an up-to-date locale in all cases.
       (Closes: #567451)
 .
   * frontend/lintian:
     + [RA] Globally ignore SIGPIPE, forcing error return codes from write.
       Hopefully will resolve some unreproducible occasional crashes.
       (Closes: #558360)
 .
   * lib/Lintian/Tag/Info.pm:
     + [JP] Don't link to references with no URL.  (Closes: #572297)
   * lib/Spelling.pm:
     + [ADB] Remove duplicate entries from the correction list.  Thanks,
       Jakub Wilk.  (Closes: #572260)
     + [ADB] Add a spelling correction for "unecessary".  Thanks, Jakub
       Wilk.  (Closes: #572456)
 .
   * man/lintian-info.1:
     + [CW] Fix typo.
     + [RA] Document new debian-source-dir check script.
 .
   * private/refresh-locale-codes:
     + [RG] New script to generate a list of locale codes.
 .
   * reporting/templates/foot.tmpl:
     + [ADB] Replace the "please mail comments to the maintainer" request
       with a pointer to reportbug.  (Closes: #572298)
 .
   * testset/etcfiles/:
     + [RA] Fix problems with the md5sums test suite construction in the
       legacy etcfiles test.  Thanks, Frank Lin PIAT.  (Closes: #573081)
 .
   * t/runtests:
     + [RG] Add support for architecture-specific tests.
     + [RG] Add support for To-Do tests.
   * t/tests/binaries-multiarch/:
     + [RG] Fix test failure in non-i386 architectures by normalising the
       expected output.  Thanks, Niko Tyni.  (Closes: #568680)
Checksums-Sha1: 
 e1b0193dafb044c89986b9ddd2b3921817790d79 1213 lintian_2.3.4.dsc
 321770ef17491b3902e7a52cd35204f5fb5d3c0d 799535 lintian_2.3.4.tar.gz
 2a01657bdb629de1e79484006702fdd070567336 514312 lintian_2.3.4_all.deb
Checksums-Sha256: 
 53fdde14fd521fad31c2434557716c36a2babd2fe1ea72bc1ecde68a5bd2063b 1213 lintian_2.3.4.dsc
 63069c23843547be0cfab107dbe5533bfee12e7f728c7755af4810aa8e2eca17 799535 lintian_2.3.4.tar.gz
 2001a0b93ed4550d489b90d4ab61f5ffc7cd579357e96e3d8c1a9baa30b22852 514312 lintian_2.3.4_all.deb
Files: 
 bdbb9080644f78e7b7a3a8614934c28c 1213 devel optional lintian_2.3.4.dsc
 565dce2ad49dc2098a3d0fedc3bfc4f1 799535 devel optional lintian_2.3.4.tar.gz
 4d4fb40ec0a1cbc8286b293f3bc73564 514312 devel optional lintian_2.3.4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkun/ycACgkQ+YXjQAr8dHal3ACfQnjeP7y8Gp5axP5DBjDzbwgn
iMEAoL5TNOUj6WXy1Ws+V1ug4cprgTLR
=U+qp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 May 2010 07:41:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:58:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.